如何開始?
- 1註冊並登入控制台。
- 2開啟 Connect,建立 API 金鑰。完整金鑰只會顯示一次,請複製到安全的地方。
- 3在每個需要的請求中,以 Authorization 標頭發送金鑰。
- 4呼叫 /account 確認金鑰可用,再用 /orders 下單。
驗證如何運作?
涉及你自己帳戶的請求(account、orders、proxy-user)需要 API 金鑰。請以 Bearer token 形式放在 Authorization 標頭中傳送。價格、國家及報價為公開資料,毋須金鑰。
我們只儲存金鑰的雜湊值。如果遺失,請在控制台建立新金鑰,舊金鑰會即時失效。不要把金鑰放在瀏覽器程式碼或公開儲存庫中。
Authorization: Bearer pdk_your_api_key
基本網址及格式
- 基本 URL
- https://proxyday.shop/api/v1
- 請求及回應內容
- application/json
- 金額
- USD 數字,例如 807.90
- 時間
- ISO 8601 (UTC)
有呼叫次數限制嗎?
每個 API 金鑰每分鐘最多可發出 60 個請求。公開端點每個 IP 每分鐘可發出 60 個請求。超出上限會收到 HTTP 429,請等一分鐘再試。
錯誤是怎樣的?
錯誤會以 HTTP 狀態碼及 JSON 內容回傳,內含簡短代碼及訊息。
{
"error": {
"code": "insufficient_balance",
"message": "Your balance is too low for this order. Top up in the dashboard."
}
}| HTTP | code | 意思 |
|---|---|---|
| 400 | bad_request | 缺少某個值,或該值不適用於此產品。 |
| 401 | unauthorized | 缺少 API 金鑰或金鑰無效。 |
| 402 | insufficient_balance | 餘額低於訂單總額,沒有扣款。 |
| 404 | not_found | 你的帳戶中沒有此 id 的訂單。 |
| 429 | rate_limited | 一分鐘內的請求太多。 |
| 500 | server_error | 請求未能完成,沒有扣款。 |
端點
取得帳戶資料
GET/api/v1/accountAPI 金鑰
回傳你的餘額、代理主機、端口、用戶名稱及密碼,以及白名單 IP。
curl https://proxyday.shop/api/v1/account \ -H "Authorization: Bearer pdk_your_api_key"
{
"email": "you@example.com",
"balance_usd": 1300,
"proxy": {
"host": "gate.proxyday.shop",
"http_port": 6100,
"socks5_port": 6200,
"username": "pdexample1",
"password": "your_password"
},
"allowed_ips": [
"203.0.113.10"
]
}列出產品及價格
GET/api/v1/products毋須金鑰
回傳所有產品及其限制、價格級別和折扣。價格與價格頁使用同一份價目表。
curl https://proxyday.shop/api/v1/products
{
"currency": "USD",
"prices_as_of": "2026-10-31",
"products": [
{
"id": "unlimited",
"unit": "day",
"quantity": {
"meaning": "days",
"min": 1,
"max": 365
},
"...": "..."
},
{
"id": "residential",
"unit": "gb",
"...": "..."
}
]
}列出國家及城市
GET/api/v1/countries毋須金鑰
回傳某產品可用的國家,以及可放入代理用戶名稱的城市值。
| 欄位 | 類型 | 意思 |
|---|---|---|
product選填 | string | unlimited、residential、isp 或 datacenter。預設為 residential。 |
curl "https://proxyday.shop/api/v1/countries?product=datacenter"
{
"product": "datacenter",
"countries": [
{
"code": "us",
"name": "United States",
"region": "americas",
"datacenter": true,
"cities": [
{
"name": "New York",
"value": "new_york"
},
{
"name": "Los Angeles",
"value": "los_angeles"
}
]
}
]
}取得報價
POST/api/v1/quote毋須金鑰
計算訂單總額,不會扣款。請求內容與下單時相同。
| 欄位 | 類型 | 意思 |
|---|---|---|
product必填 | string | unlimited、residential、isp 或 datacenter。 |
quantity必填 | integer | unlimited 為日數(1~365),residential 為 GB(5~5,000),isp 為 IP 數量(1~1,000),datacenter 為 IP 數量(5~5,000)。 |
concurrency選填 | integer | 只適用於 unlimited:200、500、1000 或 2000。 |
bandwidth選填 | integer | 只適用於 unlimited,單位 Mbps:100、200、500 或 1000。 |
months選填 | integer | 只適用於 isp 及 datacenter:1、3、6 或 12。 |
country選填 | string | 只適用於 isp 及 datacenter:兩個字母的國家代碼,例如 jp。見 /countries。 |
curl -X POST https://proxyday.shop/api/v1/quote \
-H "Content-Type: application/json" \
-d '{"product":"unlimited","quantity":30,"concurrency":1000,"bandwidth":200}'{
"product": "unlimited",
"quantity": 30,
"unit_price_usd": 8.6,
"unit": "day",
"total_usd": 258
}下單
POST/api/v1/ordersAPI 金鑰
從餘額扣除總額並建立訂單。新訂單的狀態為 pending(啟用中),準備好後轉為 active。如訂單無法啟用,狀態會變為 refunded,全數金額退回你的餘額。餘額不足時回傳 402。
| 欄位 | 類型 | 意思 |
|---|---|---|
product必填 | string | unlimited、residential、isp 或 datacenter。 |
quantity必填 | integer | unlimited 為日數(1~365),residential 為 GB(5~5,000),isp 為 IP 數量(1~1,000),datacenter 為 IP 數量(5~5,000)。 |
concurrency選填 | integer | 只適用於 unlimited:200、500、1000 或 2000。 |
bandwidth選填 | integer | 只適用於 unlimited,單位 Mbps:100、200、500 或 1000。 |
months選填 | integer | 只適用於 isp 及 datacenter:1、3、6 或 12。 |
country選填 | string | 只適用於 isp 及 datacenter:兩個字母的國家代碼,例如 jp。見 /countries。 |
curl -X POST https://proxyday.shop/api/v1/orders \
-H "Authorization: Bearer pdk_your_api_key" \
-H "Content-Type: application/json" \
-d '{"product":"unlimited","quantity":30,"concurrency":1000,"bandwidth":200}'{
"order": {
"id": "PD-7KQ2M-X4HTD",
"product": "unlimited",
"quantity": 30,
"months": null,
"concurrency": 1000,
"bandwidth_mbps": 200,
"country": null,
"unit_price_usd": 8.6,
"total_usd": 258,
"status": "pending",
"created_at": "2026-10-31T09:12:44.120Z",
"updated_at": "2026-10-31T09:12:44.120Z"
},
"balance_usd": 1042
}列出你的訂單
GET/api/v1/ordersAPI 金鑰
回傳你最近的 100 張訂單,最新的排在最前。
| 欄位 | 類型 | 意思 |
|---|---|---|
status選填 | string | pending、active 或 refunded。不填則回傳全部。 |
curl "https://proxyday.shop/api/v1/orders?status=pending" \ -H "Authorization: Bearer pdk_your_api_key"
{
"orders": [
{
"id": "PD-7KQ2M-X4HTD",
"product": "unlimited",
"quantity": 30,
"months": null,
"concurrency": 1000,
"bandwidth_mbps": 200,
"country": null,
"unit_price_usd": 8.6,
"total_usd": 258,
"status": "pending",
"created_at": "2026-10-31T09:12:44.120Z",
"updated_at": "2026-10-31T09:12:44.120Z"
}
]
}取得單一訂單
GET/api/v1/orders/{id}API 金鑰
按 id 回傳一張訂單,例如用來檢查訂單是否已啟用。
| 欄位 | 類型 | 意思 |
|---|---|---|
id必填 | string | 訂單 id,例如 PD-7KQ2M-X4HTD。 |
curl https://proxyday.shop/api/v1/orders/PD-7KQ2M-X4HTD \ -H "Authorization: Bearer pdk_your_api_key"
{
"order": {
"id": "PD-7KQ2M-X4HTD",
"product": "unlimited",
"quantity": 30,
"months": null,
"concurrency": 1000,
"bandwidth_mbps": 200,
"country": null,
"unit_price_usd": 8.6,
"total_usd": 258,
"status": "active",
"created_at": "2026-10-31T09:12:44.120Z",
"updated_at": "2026-10-31T09:40:02.511Z"
}
}組合代理用戶名稱
GET/api/v1/proxy-userAPI 金鑰
回傳包含你所選選項的代理用戶名稱,以及可直接使用的 HTTP 及 SOCKS5 代理網址。不設 session 時,每個請求都會輪換 IP。
| 欄位 | 類型 | 意思 |
|---|---|---|
product選填 | string | unlimited、residential、isp 或 datacenter。預設為 unlimited。 |
country選填 | string | 兩個字母的國家代碼,例如 jp。 |
city選填 | string | /countries 中的城市值,例如 tokyo。須同時設定 country。 |
session選填 | string | 任意 1~32 個字母或數字。session 相同的請求會保持同一 IP。 |
ttl選填 | integer | 保持連線階段 IP 的分鐘數,1~60。預設為 30。 |
curl "https://proxyday.shop/api/v1/proxy-user?product=residential&country=jp&city=tokyo&session=job42&ttl=30" \ -H "Authorization: Bearer pdk_your_api_key"
{
"username": "pdexample1-zone-res-cc-jp-city-tokyo-sid-job42-ttl-30",
"password": "your_password",
"http": "http://pdexample1-zone-res-cc-jp-city-tokyo-sid-job42-ttl-30:your_password@gate.proxyday.shop:6100",
"socks5": "socks5h://pdexample1-zone-res-cc-jp-city-tokyo-sid-job42-ttl-30:your_password@gate.proxyday.shop:6200"
}完整範例
以下範例會查詢價格、以餘額下單,並經日本 IP 連線。
import requests
API = "https://proxyday.shop/api/v1"
HEAD = {"Authorization": "Bearer pdk_your_api_key"}
# 1) Check the price first
plan = {"product": "residential", "quantity": 100}
print(requests.post(f"{API}/quote", json=plan).json())
# 2) Order from your balance
r = requests.post(f"{API}/orders", json=plan, headers=HEAD)
order = r.json()["order"]
print(order["id"], order["status"])
# 3) Get a username for Japanese IPs
u = requests.get(f"{API}/proxy-user", headers=HEAD,
params={"product": "residential", "country": "jp"}).json()
proxies = {"http": u["http"], "https": u["http"]}
print(requests.get("https://ipinfo.io/json", proxies=proxies, timeout=30).json())const API = "https://proxyday.shop/api/v1";
const HEAD = { Authorization: "Bearer pdk_your_api_key", "Content-Type": "application/json" };
// Check the balance
const acc = await fetch(`${API}/account`, { headers: HEAD }).then((r) => r.json());
console.log(acc.balance_usd);
// Order 7 days of unlimited
const res = await fetch(`${API}/orders`, {
method: "POST",
headers: HEAD,
body: JSON.stringify({ product: "unlimited", quantity: 7, concurrency: 500, bandwidth: 100 }),
});
if (res.status === 402) console.log("Top up first");
else console.log((await res.json()).order.id);經 API 下的訂單與在控制台下的訂單相同,會顯示在 History 中。請把 pdk_your_api_key 換成你自己的金鑰。